org.modeshape.jcr.query.model

## Class Column

- java.lang.Object
- - org.modeshape.jcr.query.model.Column

- All Implemented Interfaces:
    Serializable, Column, LanguageObject, Visitable

      @Immutable
      public class Column
      extends Object
      implements LanguageObject, Column

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Column(SelectorName selectorName)` Include a column for each of the single-valued, accessible properties on the node identified by the selector.
    `Column(SelectorName selectorName, String propertyName, String columnName)` A column with the given name representing the named property on the node identified by the selector.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor visitor)` Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
    `boolean` | `equals(Object obj)`
    `String` | `getColumnName()`
    `String` | `getPropertyName()`
    `String` | `getSelectorName()`
    `int` | `hashCode()`
    `SelectorName` | `selectorName()` Get the name of the selector for the node.
    `String` | `toString()`
    `Column` | `with(SelectorName newSelectorName)` Create a copy of this Column except that uses the supplied selector name instead.
    `Column` | `withColumnName(String columnName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Column

          public Column(SelectorName selectorName)

      Include a column for each of the single-valued, accessible properties on the node identified by the selector.
      Parameters:
        `selectorName` - the selector name

    - #### Column

          public Column(SelectorName selectorName,
                String propertyName,
                String columnName)

      A column with the given name representing the named property on the node identified by the selector.
      Parameters:
        `selectorName` - the selector name
        `propertyName` - the name of the property
        `columnName` - the name of the column

  - ### Method Detail

    - #### selectorName

          public final SelectorName selectorName()

      Get the name of the selector for the node.
      Returns:
        the selector name; never null

    - #### getSelectorName

          public String getSelectorName()

      Specified by:
        `getSelectorName` in interface `Column`

    - #### getPropertyName

          public final String getPropertyName()

      Specified by:
        `getPropertyName` in interface `Column`

    - #### getColumnName

          public final String getColumnName()

      Specified by:
        `getColumnName` in interface `Column`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### with

          public Column with(SelectorName newSelectorName)

      Create a copy of this Column except that uses the supplied selector name instead.
      Parameters:
        `newSelectorName` - the new selector name
      Returns:
        a new Column with the supplied selector name and the property and column names from this object; never null
      Throws:
        `IllegalArgumentException` - if the supplied selector name is null

    - #### withColumnName

          public Column withColumnName(String columnName)

    - #### accept

          public void accept(Visitor visitor)

      Description copied from interface: `Visitable`
      Accept the supplied visitor, which should call back to the visitor to complete the double-dispatch operation.
      Specified by:
        `accept` in interface `Visitable`
      Parameters:
        `visitor` - the visitor; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.